# osgParticle::RandomRateCounter Class Reference

Inheritance diagram for osgParticle::RandomRateCounter:

[legend]
List of all members.

## Public Member Functions

| RandomRateCounter ()
| RandomRateCounter (const RandomRateCounter &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgParticle, RandomRateCounter)
int | numParticlesToCreate (double dt) const
| Return the number of particles to be created in this frame.

## Protected Member Functions

virtual | ~RandomRateCounter ()

## Protected Attributes

float | np_

## Constructor & Destructor Documentation

osgParticle::RandomRateCounter::RandomRateCounter | ( |  | ) | `[inline]`

osgParticle::RandomRateCounter::RandomRateCounter | ( | const RandomRateCounter & | copy,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) | `[inline]`

virtual osgParticle::RandomRateCounter::~RandomRateCounter | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

osgParticle::RandomRateCounter::META_Object | ( | osgParticle | ,
|  | RandomRateCounter |
| ) |

int osgParticle::RandomRateCounter::numParticlesToCreate | ( | double | dt | ) | const`[inline, virtual]`

| Return the number of particles to be created in this frame. Implements osgParticle::Counter.

## Member Data Documentation

float osgParticle::RandomRateCounter::np_ `[mutable, protected]`

The documentation for this class was generated from the following file:

- RandomRateCounter